Subject: [Ietf-calsify] Section 4.6.1 Event Component: Value of missing DTEND when DTSTART; VALUE=DATE

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Tue Oct 3 11:56:28 2006

In section 4.6.1 Event Component of RFC 2445 it says:

> For cases where a "VEVENT" calendar component specifies a "DTSTART"
> property with a DATE data type but no "DTEND" property, the events
> non-inclusive end is the end of the calendar date specified by the
> "DTSTART" property.

The events "non-inclusive end" should be the start of the day following
the calendar date specified by the "DTSTART" property. Otherwise,
23:59:59 would not be part of the event...

I propose to simply change "non-inclusive" to "inclusive" in the text:

> For cases where a "VEVENT" calendar component specifies a "DTSTART"
> property with a DATE data type but no "DTEND" property, the events
> inclusive end is the end of the calendar date specified by the
> "DTSTART" property.

Cheers,
Bernard

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Tue Oct 3 13:05:19 2006

Hi Bernard,

>> inclusive end is the end of the calendar date specified by the

Actually that whole section needs more revision because it does not say 
anything about DURATION. At the very least, I think the updated text should 
say:

    For cases where a "VEVENT" calendar component specifies a "DTSTART"
    property with a DATE data type but no "DTEND" or "DURATION" property,
    the event's duration is taken to be one day.

By specifying the behavior using duration instead of end, you get around 
the whole inclusive/exclusive mess.

-- 
Cyrus Daboo

---

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Tue Oct 3 13:30:22 2006

Cyrus,

I like your text.

In addition to this change I will change the text before the last
example:

OLD TEXT:

 > The following is an example of the "VEVENT" calendar component
 > used to represent an anniversary that will occur annually. Since
 > it takes up no time, it will not appear as opaque in a search
 > for busy time; no matter what the value of the "TRANSP"
 > property indicates:

NEW TEXT:

 > The following is an example of the "VEVENT" calendar component
 > used to represent an anniversary that will occur annually:

I guess the assumption was that the event would last 0 second since
neither DTEND nor DURATION are specified, but that's not the case
when DTSTART is a DATE value.

Cheers,
Bernard

Cyrus Daboo wrote:
> anything about DURATION. At the very least, I think the updated text 
> should say:
>

---

From: reinhold at kainhofer.com (Reinhold Kainhofer)
Date: Tue Oct 3 13:35:37 2006

> 23:59:59 would not be part of the event...

Mathematically speaking, 23:59:59 is NOT the end of the day (there's still one 
whole second left!). 
23:59:59.99999999999999999999999999999999...=0:00:00.0 
is the end of the day. That's the non-inclusive end, just as the RFC says.

Cheers,
Reinhold

-- 
------------------------------------------------------------------
Reinhold Kainhofer, Vienna University of Technology, Austria
email: [email-masked], http://reinhold.kainhofer.com/
 * Financial and Actuarial Mathematics, TU Wien, http://www.fam.tuwien.ac.at/
 * K Desktop Environment, http://www.kde.org, KOrganizer maintainer
 * Chorvereinigung "Jung-Wien", http://www.jung-wien.at/

---

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Wed Oct 4 12:38:39 2006

Reinhold,

Are you okay with the text proposed by Cyrus?

Thanks,
Bernard